<< risetime | FOSSEE_Signal_Processing_Toolbox | rms >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > rlevinson

# rlevinson

It Computes the autocorrelation coefficients using prediction polynomial.

### Syntax

    a = rlevinson(a, efinal)
    [a, U] = rlevinson(a, efinal)
    [a, U, kr] = rlevinson(a, efinal)
    [a, U, kr, e] = rlevinson(a, efinal)

### Parameters

a:

  input argument prediction polynomial.

efinal:

  input argument 'final prediction error'.

R:

  returns the autocorrelation coefficients.

U:

  return a upper triangular matrox of order (length(a)*length(a))

kr:

  return refelection coefficient.

e:

  Return the vector of prediction error.

### Examples

    X = [7 6 5 8 3 6]     //make the first prediction polynomial coefficient unity and check for standard Auto regressive model
    X=[1 6/7 5/7 8/7 3/7 6/7];

    [R U kr e] = rlevinson(X, 0.3)

### Authors

- Jitendra Singh

Report an issue
<< risetime | FOSSEE_Signal_Processing_Toolbox | rms >>